/// <reference types="react" />
declare const cronJobTriggerDialogClusterFrameChildComponentInjectable: import("@ogre-tools/injectable").Injectable<{
    id: string;
    shouldRender: import("mobx").IComputedValue<boolean>;
    Component: import("react").FunctionComponent<import("./trigger-dialog/view").CronJobTriggerDialogProps>;
}, import("../../frames/cluster-frame/cluster-frame-child-component-injection-token").ClusterFrameChildComponent, void>;
export default cronJobTriggerDialogClusterFrameChildComponentInjectable;
